V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
fyxtc
V2EX  ›  Node.js

yarn 安装的包, vscode 就无法提示导入,有救吗

  •  
  •   fyxtc · 123 天前 · 663 次点击
    这是一个创建于 123 天前的主题,其中的信息可能已经有所发展或是发生改变。
    同样一个包,import 进来之后,如果是 npm 安装的,在使用的包的变量的时候(比如 axios ),可以使用 qucik fix 弹出提示然后选择导入,使用 yarn 安装就没有这个提示。

    npm 实在是太慢太慢了,安装速度全看脸,有的时候我点开 lock 的地址然后几十 k 的东西,浏览器直接秒下了,npm 能死活给你卡到死,而且还看不到进度,都不知道死哪了。挂梯子换源都没用,真的折磨。
    3 条回复    2023-10-23 14:55:46 +08:00
    cdswyda
        1
    cdswyda  
       122 天前
    虽然知道 yarn ,但是只用 npm/pnpm ,给 npm 设置个 registry 没遇到过啥问题。
    yarn 和 cnpm 倒是踩过类似的坑,不知道为啥,反正安装后有问题,就再也没用过了。
    Opportunity
        2
    Opportunity  
       122 天前
    https://yarnpkg.com/getting-started/editor-sdks

    文档不是有写吗,PNP 就是事情多,不如用 pnpm 吧
    luckybricks9711
        3
    luckybricks9711  
       122 天前
    webstorm 对 pnp 引入资源有比较好的支持
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   我们的愿景   ·   实用小工具   ·   1098 人在线   最高记录 6543   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 23ms · UTC 18:28 · PVG 02:28 · LAX 10:28 · JFK 13:28
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.